summaryrefslogtreecommitdiffstats
path: root/.scripts/publish.sh
diff options
context:
space:
mode:
Diffstat (limited to '.scripts/publish.sh')
-rwxr-xr-x.scripts/publish.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/.scripts/publish.sh b/.scripts/publish.sh
new file mode 100755
index 0000000..dfca6ba
--- /dev/null
+++ b/.scripts/publish.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+# script to publish the crates
+# we added a 5s sleep in between publish to give time for dependency crate to propagate to crates.io
+#
+
+set -ev
+cd svgbob && cargo publish && cd - && \
+echo "sleeping for 5s" && sleep 5 &&\
+cargo publish